7.10. namespacequota
7.10.1. listUserQuota リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/user/quota
認可: oauth2_implicit (user:admin)
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/user/quota" \ -H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota" \
-H "Authorization: Bearer <access_token>"
7.10.2. getOrganizationQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
認可:
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
7.10.3. changeOrganizationQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
PUT /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
要求の body スキーマ (application/json)
変更する組織のクォータ制限の説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
type | 割り当て制限のタイプ: "Warning" または "Reject" | string |
|
threshold_percent | クォータのしきい値 (クォータのパーセント単位) | integer |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
7.10.4. deleteOrganizationQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 204 | 削除済み | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
7.10.5. createOrganizationQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
POST /api/v1/organization/{orgname}/quota/{quota_id}/limit
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
要求の body スキーマ (application/json)
新しい組織のクォータ制限の説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
type | 割り当て制限のタイプ: "Warning" または "Reject" | string |
|
threshold_percent | クォータのしきい値 (クォータのパーセント単位) | integer |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 201 | 作成に成功 | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
7.10.6. listOrganizationQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit
認可:
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
-H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
-H "Authorization: Bearer <access_token>"
7.10.7. getUserQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/user/quota/{quota_id}/limit/{limit_id}
認可: oauth2_implicit (user:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit/{limit_id}" \
-H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit/{limit_id}" \
-H "Authorization: Bearer <access_token>"
7.10.8. listUserQuotaLimit リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/user/quota/{quota_id}/limit
認可: oauth2_implicit (user:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit" \
-H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit" \
-H "Authorization: Bearer <access_token>"
7.10.9. getOrganizationQuota リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/organization/{orgname}/quota/{quota_id}
認可:
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"S
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"S
7.10.10. changeOrganizationQuota リンクのコピーリンクがクリップボードにコピーされました!
PUT /api/v1/organization/{orgname}/quota/{quota_id}
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
要求の body スキーマ (application/json)
新しい組織の割り当ての説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
limit_bytes | 組織で許可されているバイト数 | integer |
|
limits |
人間が判読可能な組織のストレージ容量。Mi、Gi、Ti などの SI 単位だけでなく、GB や MB などの非標準単位も受け入れます。 | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
7.10.11. deleteOrganizationQuota リンクのコピーリンクがクリップボードにコピーされました!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 204 | 削除済み | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"
7.10.12. createOrganizationQuota リンクのコピーリンクがクリップボードにコピーされました!
新しい組織のクォータを作成します。
POST /api/v1/organization/{orgname}/quota
認可: oauth2_implicit(super:user)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
orgname | string |
要求の body スキーマ (application/json)
新しい組織の割り当ての説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
limit_bytes | 組織で許可されているバイト数 | integer |
|
limits |
人間が判読可能な組織のストレージ容量。Mi、Gi、Ti などの SI 単位だけでなく、GB や MB などの非標準単位も受け入れます。 | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 201 | 作成に成功 | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
7.10.13. listOrganizationQuota リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/organization/{orgname}/quota
認可:
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
orgname | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -k -X GET -H "Authorization: Bearer <token>" -H 'Content-Type: application/json' https://<quay-server.example.com>/api/v1/organization/<organization_name>/quota
$ curl -k -X GET -H "Authorization: Bearer <token>" -H 'Content-Type: application/json' https://<quay-server.example.com>/api/v1/organization/<organization_name>/quota
7.10.14. getUserQuota リンクのコピーリンクがクリップボードにコピーされました!
GET /api/v1/user/quota/{quota_id}
認可: oauth2_implicit (user:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
quota_id | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}" \
-H "Authorization: Bearer <access_token>"
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}" \
-H "Authorization: Bearer <access_token>"